extends CharacterBody2D

# physics
var speed : int = 300
var jumpForce : int = 500

var vel : Vector2 = Vector2()
var looking_right = true
var run = false
var jump = false
var border_left:int = 0
var border_right:int = 2560*9


# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.


func _physics_process (delta):
	# reset horizontal velocity
	vel.x = 0
	# gravity
	vel.y += Global.gravity * delta
	# jump input
	if jump and is_on_floor():
		vel.y -= jumpForce
	# movement inputs
	if run:
		if looking_right and position.x < border_right:
			vel.x += speed
			$AnimatedSprite2D.play("run_right")
		elif not looking_right and border_left < position.x:
			vel.x -= speed
			$AnimatedSprite2D.play("run_left")
		else:
			if looking_right:
				$AnimatedSprite2D.play("standing_right")
			else:
				$AnimatedSprite2D.play("standing_left")
	else:
		if looking_right:
			$AnimatedSprite2D.play("standing_right")
		else:
			$AnimatedSprite2D.play("standing_left")
		$AnimatedSprite2D.stop()
	# applying the velocity
	set_velocity(vel)
	set_up_direction(Vector2.UP)
	set_floor_stop_on_slope_enabled(0.785398)
	move_and_slide()
	vel = velocity

func stand_stil():
	run = false

func run_right():
	looking_right = true
	run = true

func run_left():
	looking_right = false
	run = true
