extends CharacterBody2D

# physics
var speed : int = 300
var jumpForce : int = 500
 
var climbing : int = 0

var vel : Vector2 = Vector2()
var looking_right = true


# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	# reset horizontal velocity
	vel.x = 0
	# gravity
	vel.y += Global.gravity * delta
	if not Global.pause:
		if climbing != 0:
			if (Input.is_action_pressed("move_left")
				or Input.is_action_pressed("move_right")):
				vel.y = climbing * speed
			elif (Input.is_action_pressed("ui_down")):
				vel.y = -climbing * speed
			elif climbing != 0:
				vel.y = 0
		# jump input
		if Input.is_action_pressed("jump") and is_on_floor():
			vel.y -= jumpForce
		# movement inputs
		if Input.is_action_pressed("move_left"):
			looking_right = false
			vel.x -= speed
			$AnimatedSprite2D.play("run_left")
		elif Input.is_action_pressed("move_right"):
			vel.x += speed
			looking_right = true
			$AnimatedSprite2D.play("run_right")
		else:
			if looking_right:
				$AnimatedSprite2D.play("standing_right")
			else:
				$AnimatedSprite2D.play("standing_left")
			$AnimatedSprite2D.stop()
	else:
		if looking_right:
			$AnimatedSprite2D.play("standing_right")
		else:
			$AnimatedSprite2D.play("standing_left")
		$AnimatedSprite2D.stop()
	# applying the velocity
	set_velocity(vel)
	set_up_direction(Vector2.UP)
	set_floor_stop_on_slope_enabled(0.785398)
	move_and_slide()
	vel = velocity
	Global.player_position = position

func is_climbing (direction):
	climbing = direction
	

func collect_time (value):
	Global.time_score += value
