extends Node2D

# Declare member variables here.
@onready var player = get_node("Player")
@onready var portal = get_node("Portal")

var npc_one_scene = preload("res://characters/npc_one/npc_one.tscn")
var first_cop : bool = true
var second_cop : bool = true
var theerd_cop : bool = true
var fourth_cop : bool = true

# Called when the node enters the scene tree for the first time.
func _ready():
	Global.current_start_position = player.position
	player.get_node("FacePolygon").set_color(Global.playerFaceColor)
	Global.cityRoofFound = true

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(_delta):
	if player.position.y >= 1100:
		player.position = Global.current_start_position
	
	if Input.is_action_pressed("menu"):
		Global.goto_menu()

	if player.position.x >= 1300 and first_cop:
		first_cop = false
		run_cop_1()
		
	if player.position.x >= 2450 and second_cop:
		second_cop = false
		run_cop_2()

	if player.position.x >= 4250 and theerd_cop:
		theerd_cop = false
		run_cop_3()

	if player.position.x >= 5075 and fourth_cop:
		fourth_cop = false
		run_cop_4()

	if player.position.x >= 6075:
		portal.visible = true


func run_cop_1():
	var npc_one = npc_one_scene.instantiate()
	add_child(npc_one)
	npc_one.get_node("FacePolygon").set_color(Color('#0000ff'))
	npc_one.position.x = 500
	npc_one.position.y = 500
	npc_one.border_left = 438
	npc_one.border_right = 1300
	npc_one.speed = 150
	npc_one.looking_right = false
	npc_one.stand_stil()
	await get_tree().create_timer(2).timeout
	npc_one.run_right()

func run_cop_2():
	var npc_two = npc_one_scene.instantiate()
	add_child(npc_two)
	npc_two.get_node("FacePolygon").set_color(Color('#0000ff'))
	npc_two.position.x = 2275
	npc_two.position.y = 500
	npc_two.border_left = 2375
	npc_two.border_right = 2850
	npc_two.speed = 150
	npc_two.looking_right = false
	npc_two.stand_stil()
	await get_tree().create_timer(1).timeout
	npc_two.run_right()

func run_cop_3():
	var npc_three = npc_one_scene.instantiate()
	add_child(npc_three)
	npc_three.get_node("FacePolygon").set_color(Color('#0000ff'))
	npc_three.position.x = 5400
	npc_three.position.y = 520
	npc_three.border_left = 4300
	npc_three.border_right = 5450
	npc_three.speed = 150
	npc_three.looking_right = false
	npc_three.stand_stil()
	await get_tree().create_timer(1).timeout
	npc_three.run_left()

func run_cop_4():
	var npc_four = npc_one_scene.instantiate()
	add_child(npc_four)
	npc_four.get_node("FacePolygon").set_color(Color('#0000ff'))
	npc_four.position.x = 6026
	npc_four.position.y = 1016
	npc_four.border_left = 2375
	npc_four.border_right = 2850
	npc_four.looking_right = false
