extends Node2D

var hiddenPortal : bool = true

@onready var player = get_node("Player")
@onready var portal = get_node("Portal")
@onready var dialoguePopup = get_node("DialogOne")

var npc_friend_scene = preload("res://characters/npc_friend/npc_friend.tscn")

var start_position = 0


# Called when the node enters the scene tree for the first time.
func _ready():
	player.get_node("FacePolygon").set_color(Global.playerFaceColor)
	start_position = player.position
	Global.meadowFound = true


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(_delta):
	if player.position.x >= 3500 and Global.runCutMeadow:
		Global.pause = true
		run_cut_1()
		Global.runCutMeadow = false
	if player.position.x >= 4500 and hiddenPortal:
		portal.visible = true
		hiddenPortal = false
	if player.position.x < 4500 and not hiddenPortal:
		portal.visible = false
		hiddenPortal = true


func run_cut_1():
	var npc_one = npc_friend_scene.instantiate()
	add_child(npc_one)
	npc_one.get_node("FacePolygon").set_color(Global.playerFaceColor)
	npc_one.position.x = 3900
	npc_one.position.y = 700
	npc_one.looking_right = false
	npc_one.stand_stil()
	await get_tree().create_timer(1).timeout
	dialoguePopup.label_set('Stranger')
	dialoguePopup.dialogue_set(
		'WAIT.. What.. Me... Here, now.. Ooo..
		
		YOU HURRY! FOLLOW ME!'
		)
	dialoguePopup.open()
	# Monolog
	await get_tree().create_timer(6).timeout
	dialoguePopup.close()
	npc_one.run_right()
	_cop_timer()
	_run_timer()

func _run_timer():
	await get_tree().create_timer(1).timeout
	Global.pause = false

func _cop_timer():
	await get_tree().create_timer(1).timeout
	var npc_two = npc_friend_scene.instantiate()
	add_child(npc_two)
	npc_two.get_node("FacePolygon").set_color(Color('#0000ff'))
	npc_two.position.x = 3900
	npc_two.position.y = 700
	npc_two.stand_stil()
	await get_tree().create_timer(1).timeout
	npc_two.run_right()
