extends Node2D

# Declare member variables here. Examples:
@onready var player = get_node("Player")
var start_position = 0
@onready var fp = get_node("Player/FacePolygon")


@onready var town_button_scene = get_node("TownButton")
@onready var city_roof_button_scene = get_node("CityRoofButton")
@onready var lakes_button_scene = get_node("LakesButton")


# Called when the node enters the scene tree for the first time.
func _ready():
	start_position = player.position
	player.get_node("FacePolygon").set_color(Global.playerFaceColor)
	var colorPicker = get_node("ColorPickerButton")
	colorPicker.color = Global.playerFaceColor
	
	if Global.lakesFound:
		lakes_button_scene.visible = true

	if Global.townFound:
		town_button_scene.visible = true

	if Global.cityRoofFound:
		city_roof_button_scene.visible = true


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(_delta):
	if player.position.y >= 1100:
		player.position = start_position
			
	if Input.is_action_pressed("town"):
		Global.goto_scene("res://levels/town/town.tscn")
