extends Area2D


# Declare member variables here. Examples:
var pickable = false
var beachlevel = "res://levels/beach/beach.tscn"
var meadowlevel = "res://levels/level_one/LevelOne.tscn"

var start_icon = load("res://models/start_button/start.png")
var beach_icon = load("res://models/start_button/beach.png")
var meadow_icon = load("res://models/start_button/meadow.png")

@onready var button = get_node("Button")

# Called when the node enters the scene tree for the first time.
func _ready():
	if Global.beachFound:
		button.icon = beach_icon
	if Global.meadowFound:
		button.icon = meadow_icon


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process (_delta):
	if pickable and Input.is_action_just_pressed("ui_accept"):
		if Global.meadowFound:
			Global.goto_scene(meadowlevel)
		else:
			Global.goto_scene(beachlevel)
		pickable = false

func _on_StartButton_body_entered(body):
	if body.name == "Player":
		pickable = true

func _on_StartButton_body_exited(body):
	if body.name == "Player": 
		pickable = false

func _on_Button_pressed():
		if Global.meadowFound:
			Global.goto_scene(meadowlevel)
		else:
			Global.goto_scene(beachlevel)
